# schema_salad.tests.test_cpp_codegen

Test C++ code generation.

## Functions

`test_cwl_cpp_gen`(tmp_path) | End to end test of C++ generator using the CWL v1.0 schema.
`test_cwl_cpp_generations`(tmp_path, filename) | End to end test of C++ generator using small scenarios.
`test_cwl_cpp_generations_with_spdx`(tmp_path) | End to end test of C++ generator checking for SPDX headers
`cpp_codegen`(file_uri, target[, spdx_copyright_text, ...]) | Help using the C++ code generation function.

## Module Contents

schema_salad.tests.test_cpp_codegen.test_cwl_cpp_gen(tmp_path)

  End to end test of C++ generator using the CWL v1.0 schema.

  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_cpp_codegen.test_cwl_cpp_generations(tmp_path, filename)

  End to end test of C++ generator using small scenarios.

  Parameters:

    - tmp_path (pathlib.Path)

    - filename (str)

  Return type:

    None

schema_salad.tests.test_cpp_codegen.test_cwl_cpp_generations_with_spdx(tmp_path)

  End to end test of C++ generator checking for SPDX headers

  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_cpp_codegen.cpp_codegen(file_uri, target, spdx_copyright_text=None, spdx_license_identifier=None)

  Help using the C++ code generation function.

  Parameters:

    - file_uri (str)

    - target (pathlib.Path)

    - spdx_copyright_text (Optional[list[str]])

    - spdx_license_identifier (Optional[str])

  Return type:

    None